GTK+3 Twitter Client ‘Corebird’ 1.5 Released [How-to Install]

Corebird Twitter Client

Corebird, native Linux twitter desktop app, has reached the 1.5 release a day ago. Here’s how to install it in Ubuntu 16.10, Ubuntu 17.04, Linux Mint 18.

Corebird 1.5 brings tons of bug-fixes and various improvements:

  • Add “save as” option in right-click menu to download attached media.
  • Profiles use the profile background color set in the Twitter settings if no banner is set
  • The tweet compose window now features a “favorite image” view that allows users to save often sent images and quickly add them to tweets
  • The media dialog now shows Previous/Next buttons to quickly switch between multiple media attachments.
  • The Vine support has been removed since the project is discontinued
  • Allow text selection in Direct Messages
  • New –account parameter allows opening the window for the given account only
  • Support tweets with up to 50 replied-to users.
  • Add back verified icons next to user avatars
  • Redesigned account creation UI

Corebird Twitter Client

How to Install Corebird 1.5 in Ubuntu / Linux Mint:

Besides building from the source, Ubuntu 16.10, Ubuntu 17.04 and derivatives can install Corebird 1.5 from the unofficial PPA.

It’s NOT recommended to install Corebird 1.5 in Ubuntu 16.04. The new release requires GTK >=3.20, which is available in Gnome 3 Staging PPA:

sudo add-apt-repository ppa:gnome3-team/gnome3-staging

However, the PPA BREAKS my Ubuntu Unity login screen, though it may work on Ubuntu Gnome 16.04.

1. Open terminal by pressing Ctrl+Alt+T or searching for “Terminal” from start menu. When it opens, run command to add the PPA:

sudo add-apt-repository ppa:ubuntuhandbook1/corebird

Type in your password (no visual feedback due to security reason) when prompts and hit Enter.

2. If you have a previous release installed on your system, launch Software Updater and upgrade Corebird after checking for updates:

upgrade corebird

Or run the commands in terminal to check updates and install corebird:

sudo apt update

sudo apt install corebird

Uninstall:

To remove the PPA, go to System Settings -> Software & Updates -> Other Software tab.

To remove Corebird twitter app, either use your system package management software or run command:

sudo apt remove corebird && sudo apt autoremove

If you installed Corebird 1.5 in Ubuntu 16.04, remove Gnome3 Staging PPA if everything works, or remove Corebird and downgrade GTK+3 libraries via command:

sudo apt remove corebird && sudo apt install ppa-purge && sudo ppa-purge ppa:gnome3-team/gnome3-staging

Source

Advertisements
[related_posts_by_tax posts_per_page="10"]

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

We use cookies to give you the best online experience. By agreeing you accept the use of cookies in accordance with our privacy policy.